Transmission (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Class Transmission

- java.lang.Object
- - org.cloudbus.cloudsim.workflow.Transmission

-     public class Transmission
      extends Object

  This class represents transmission of a DataItem. It controls amount of data transmitted in a shared data. Relation between Transmission and Channel is the same as Cloudlet and CloudletScheduler, but here we consider only the time shared case, representing a shared channel among different simultaneous DataItem transmissions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transmission(DataItem data, int sourceId, int destinationId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCompletedLength(double completed)` Sums some amount of data to the already transmitted data
    `DataItem` | `getDataItem()`
    `int` | `getDestinationId()`
    `double` | `getLength()`
    `int` | `getSourceId()`
    `boolean` | `isCompleted()` Says if the DataItem transmission finished or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transmission

          public Transmission(DataItem data,
                      int sourceId,
                      int destinationId)

  - ### Method Detail

    - #### addCompletedLength

          public void addCompletedLength(double completed)

      Sums some amount of data to the already transmitted data
      Parameters:
        `completed` - amount of data completed since last update

    - #### getSourceId

          public int getSourceId()

    - #### getDestinationId

          public int getDestinationId()

    - #### getDataItem

          public DataItem getDataItem()

    - #### getLength

          public double getLength()

    - #### isCompleted

          public boolean isCompleted()

      Says if the DataItem transmission finished or not.
      Returns:
        true if transmission finished; false otherwise

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.